Bug 74723 - [MAINTAINER] www/W3C-LogValidator: update to 0.5
Summary: [MAINTAINER] www/W3C-LogValidator: update to 0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Yen-Ming Lee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-12-05 15:20 UTC by Toni Viemerö
Modified: 2005-03-04 11:28 UTC (History)
0 users

See Also:


Attachments
p5-W3C-LogValidator-0.5.patch (1.15 KB, patch)
2004-12-05 15:20 UTC, Toni Viemerö
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toni Viemerö 2004-12-05 15:20:17 UTC
- Update to 0.5
- Fix pkg-plist

Generated with FreeBSD Port Tools 0.63
Comment 1 Sergey Matveychuk freebsd_committer 2004-12-11 02:35:20 UTC
On 4.10:

Creating gzip'd tar ball in 
'/usr/ports/packages/All/p5-W3C-LogValidator-0.5.tgz'
tar: lib/perl5/5.00503/man/man3/W3C\:\:LogValidator\:\:Config.3.gz: 
Cannot stat: No such file or directory
tar: Error exit delayed from previous errors
pkg_create: make_dist: tar command failed with code 512
*** Error code 1

Stop in /usr/ports/www/p5-W3C-LogValidator.

-- 
Sem.
Comment 2 Sergey Matveychuk freebsd_committer 2004-12-11 02:35:25 UTC
State Changed
From-To: open->feedback

Ask maintainer for a feedback.
Comment 3 Toni Viemerö 2004-12-19 19:44:52 UTC
Here's a new version of update patch.
It seems that W3C::LogValidator::Config.3 is built only with newer perl
versions.

diff -ruN --exclude=CVS /usr/ports/www/p5-W3C-LogValidator/Makefile /home/toni/ports/p5-W3C-LogValidator/Makefile
--- /usr/ports/www/p5-W3C-LogValidator/Makefile	Fri Nov  5 16:35:58 2004
+++ /home/toni/ports/p5-W3C-LogValidator/Makefile	Sun Dec 19 21:42:29 2004
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	W3C-LogValidator
-PORTVERSION=	0.4.1
+PORTVERSION=	0.5
 CATEGORIES=	www perl5
 MASTER_SITES=	${MASTER_SITE_PERL_CPAN}
 MASTER_SITE_SUBDIR=	W3C
@@ -37,6 +37,7 @@
 .if ${PERL_LEVEL} < 500800
 BUILD_DEPENDS+=	${SITE_PERL}/File/Temp.pm:${PORTSDIR}/devel/p5-File-Temp
 .if ${PERL_LEVEL} < 500600
+MAN3+=  W3C::LogValidator::Config.3
 post-patch:
 	@${PERL} -pi -e 's/^our ([^;=]+)/use vars qw($$1); $$1/;' \
 		${WRKSRC}/lib/W3C/LogValidator.pm ${WRKSRC}/lib/W3C/LogValidator/*
diff -ruN --exclude=CVS /usr/ports/www/p5-W3C-LogValidator/distinfo /home/toni/ports/p5-W3C-LogValidator/distinfo
--- /usr/ports/www/p5-W3C-LogValidator/distinfo	Fri Nov  5 16:35:58 2004
+++ /home/toni/ports/p5-W3C-LogValidator/distinfo	Sun Dec 19 21:39:04 2004
@@ -1,2 +1,2 @@
-MD5 (W3C-LogValidator-0.4.1.tar.gz) = 0c089a90502671172a434564a08a681e
-SIZE (W3C-LogValidator-0.4.1.tar.gz) = 24927
+MD5 (W3C-LogValidator-0.5.tar.gz) = 7ce3cf9611daf40222a429d8f63b65fc
+SIZE (W3C-LogValidator-0.5.tar.gz) = 25313

-- 
Toni Viemerö  |  http://selfdestruct.net/
"Don't do anything by half. If you love someone, love them. If you
 hate someone, hate them until it hurts."
Comment 4 Sergey Matveychuk freebsd_committer 2004-12-21 22:52:38 UTC
If it build only with perl > 500600, why do you include MAN3+= in perl < 
500600 section?

The same result.

PS. Please Cc: me if you want fast feedback.
-- 
Sem.
Comment 5 Toni Viemerö 2005-01-05 10:33:24 UTC
>Submitter-Id:	current-users
>Originator:	Toni Viemero
>Organization:	
>Confidential:	no 
>Synopsis:	Re: ports/74723: [MAINTAINER] www/W3C-LogValidator: update to 0.5
>Severity:	non-critical
>Priority:	low
>Category:	ports 
>Class:		maintainer-update
>Release:	FreeBSD 4.11-RC2 i386
>Environment:
System: FreeBSD shaolin.selfdestruct.net 4.11-RC2 FreeBSD 4.11-RC2 #2: Tue Jan  4 08:24:58 EET
>Description:
New version of the patch

>How-To-Repeat:
>Fix:

--- p5-W3C-LogValidator-0.5.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/www/p5-W3C-LogValidator/Makefile /home/toni/ports/p5-W3C-LogValidator/Makefile
--- /usr/ports/www/p5-W3C-LogValidator/Makefile	Fri Nov  5 16:35:58 2004
+++ /home/toni/ports/p5-W3C-LogValidator/Makefile	Wed Jan  5 12:29:21 2005
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	W3C-LogValidator
-PORTVERSION=	0.4.1
+PORTVERSION=	0.5
 CATEGORIES=	www perl5
 MASTER_SITES=	${MASTER_SITE_PERL_CPAN}
 MASTER_SITE_SUBDIR=	W3C
@@ -41,6 +41,10 @@
 	@${PERL} -pi -e 's/^our ([^;=]+)/use vars qw($$1); $$1/;' \
 		${WRKSRC}/lib/W3C/LogValidator.pm ${WRKSRC}/lib/W3C/LogValidator/*
 .endif
+.endif
+
+.if ${PERL_LEVEL} > 500600
+MAN3+=	W3C::LogValidator::Config.3
 .endif
 
 post-install:
diff -ruN --exclude=CVS /usr/ports/www/p5-W3C-LogValidator/distinfo /home/toni/ports/p5-W3C-LogValidator/distinfo
--- /usr/ports/www/p5-W3C-LogValidator/distinfo	Fri Nov  5 16:35:58 2004
+++ /home/toni/ports/p5-W3C-LogValidator/distinfo	Sun Dec 19 21:39:04 2004
@@ -1,2 +1,2 @@
-MD5 (W3C-LogValidator-0.4.1.tar.gz) = 0c089a90502671172a434564a08a681e
-SIZE (W3C-LogValidator-0.4.1.tar.gz) = 24927
+MD5 (W3C-LogValidator-0.5.tar.gz) = 7ce3cf9611daf40222a429d8f63b65fc
+SIZE (W3C-LogValidator-0.5.tar.gz) = 25313
--- p5-W3C-LogValidator-0.5.patch ends here ---
Comment 6 Yen-Ming Lee freebsd_committer 2005-02-10 11:13:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->leeym

I will take care of this PR.
Comment 7 Yen-Ming Lee freebsd_committer 2005-03-04 11:28:33 UTC
State Changed
From-To: feedback->closed

Committed, thanks.